Bug 188581 - [PATCH] graphics/libgd: Add shebangfix so bdftogd doesn't use /usr/bin/perl and strip libgd
Summary: [PATCH] graphics/libgd: Add shebangfix so bdftogd doesn't use /usr/bin/perl a...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dirk Meyer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-14 03:00 UTC by Steve Wills
Modified: 2014-04-15 09:57 UTC (History)
1 user (show)

See Also:


Attachments
libgd-2.1.0.patch (781 bytes, patch)
2014-04-14 03:00 UTC, Steve Wills
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Wills freebsd_committer 2014-04-14 03:00:00 UTC
- Add shebangfix so bdftogd doesn't use /usr/bin/perl
- Strip libgd

Port maintainer (dinoex@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 1.00.2014.03.23 (mode: change, diff: SVN)
Comment 1 Dirk Meyer freebsd_committer 2014-04-15 09:09:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->dinoex

I will take care of it.
Comment 2 dfilter service freebsd_committer 2014-04-15 09:14:27 UTC
Author: dinoex
Date: Tue Apr 15 08:14:22 2014
New Revision: 351313
URL: http://svnweb.freebsd.org/changeset/ports/351313
QAT: https://qat.redports.org/buildarchive/r351313/

Log:
  - Add shebangfix so bdftogd
  - Strip libgd
  PR:		188581
  Submitted by:	Steve Wills

Modified:
  head/graphics/gd/Makefile

Modified: head/graphics/gd/Makefile
==============================================================================
--- head/graphics/gd/Makefile	Tue Apr 15 08:13:14 2014	(r351312)
+++ head/graphics/gd/Makefile	Tue Apr 15 08:14:22 2014	(r351313)
@@ -3,7 +3,7 @@
 
 PORTNAME=	libgd
 PORTVERSION=	2.1.0
-PORTREVISION?=	1
+PORTREVISION?=	2
 PORTEPOCH=	1
 CATEGORIES+=	graphics
 MASTER_SITES=	http://cdn.bitbucket.org/libgd/gd-libgd/downloads/
@@ -18,7 +18,8 @@ LIB_DEPENDS=	libjpeg.so:${PORTSDIR}/grap
 
 CONFLICTS=	bazaar-1.*
 
-USES=		tar:xz pkgconfig
+USES=		tar:xz pkgconfig shebangfix
+SHEBANG_FILES=	${WRKSRC}/src/bdftogd
 GNU_CONFIGURE=	yes
 GNU_CONFIGURE_ENV=	PKG_CONFIG_LIBDIR=${LOCALBASE}/libdata/pkgconfig
 GNU_CONFIGURE_ARGS=
@@ -105,5 +106,6 @@ pre-build:
 post-install:
 	${INSTALL_DATA} ${WRKSRC}/src/gdhelpers.h \
 		${STAGEDIR}${PREFIX}/include/
+	${STRIP_CMD} ${STAGEDIR}${PREFIX}/lib/libgd.so.5
 
 .include <bsd.port.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Dirk Meyer freebsd_committer 2014-04-15 09:57:35 UTC
State Changed
From-To: open->closed

committed, thanks.